ur_rna.GUITester

## Enum GUITesterStartup.ScriptSource

- java.lang.Object
- - java.lang.Enum<GUITesterStartup.ScriptSource>
  - - ur_rna.GUITester.GUITesterStartup.ScriptSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GUITesterStartup.ScriptSource>
  Enclosing class:
    GUITesterStartup

      private static enum GUITesterStartup.ScriptSource
      extends java.lang.Enum<GUITesterStartup.ScriptSource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `INLINE`
    `SUITE_FILE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GUITesterStartup.ScriptSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GUITesterStartup.ScriptSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final GUITesterStartup.ScriptSource FILE

    - #### INLINE

          public static final GUITesterStartup.ScriptSource INLINE

    - #### SUITE_FILE

          public static final GUITesterStartup.ScriptSource SUITE_FILE

  - ### Method Detail

    - #### valueOf

          public static GUITesterStartup.ScriptSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static GUITesterStartup.ScriptSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GUITesterStartup.ScriptSource c : GUITesterStartup.ScriptSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared